POST api/seller-sells/v2?token={token}
Seller sales
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| token |
string |
string |
Required |
Body Parameters
SellerSalesV2Request
SellerSalesV2Request| Name | Description | Type | Additional information |
|---|---|---|---|
| product_ids |
product identifiers as an array. if not specified, returns statistics for all products |
Collection of integer |
None. |
| date_start |
start date yyyy-MM-dd HH:mm:ss |
string |
None. |
| date_finish |
end date yyyy-MM-dd HH:mm:ss |
string |
None. |
| returned |
refunds 0 - include refunds; 1 - exclude refunds; 2 - refunds only |
integer |
None. |
| page |
page number (if not specified, the first page is displayed) |
integer |
None. |
| rows |
number of records per page (default 10, maximum 5000) |
integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"product_ids": [
1,
2
],
"date_start": "sample string 2",
"date_finish": "sample string 3",
"returned": 4,
"page": 5,
"rows": 6
}
application/x-www-form-urlencoded
Sample:
Sample not available.
application/xml, text/xml
Sample:
<digiseller.request>
<product_ids>
<id>1</id>
<id>2</id>
</product_ids>
<date_start>sample string 2</date_start>
<date_finish>sample string 3</date_finish>
<returned>4</returned>
<page>5</page>
<rows>6</rows>
</digiseller.request>
Response Information
Resource Description
SalesResponse
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.